E-MailRelay

Public Member Functions | Public Attributes | List of all members
GNet::ServerPeerInfo Class Reference

A structure used in GNet::Server::newPeer(). More...

`#include <gserver.h>`

## Public Member Functions
| ServerPeerInfo (Server *, ServerPeerConfig)

## Public Attributes
std::shared_ptr< StreamSocket > | m_socket
Address | m_address
ServerPeerConfig | m_config
Server * | m_server

## Detailed Description

A structure used in GNet::Server::newPeer().

Definition at line 141 of file gserver.h.

## Constructor & Destructor Documentation

## ◆ ServerPeerInfo()

GNet::ServerPeerInfo::ServerPeerInfo | ( | Server * | server,
|  | ServerPeerConfig | config
| ) |  |

Definition at line 206 of file gserver.cpp.

## Member Data Documentation

## ◆ m_address

Address GNet::ServerPeerInfo::m_address

Definition at line 145 of file gserver.h.

## ◆ m_config

ServerPeerConfig GNet::ServerPeerInfo::m_config

Definition at line 146 of file gserver.h.

## ◆ m_server

Server* GNet::ServerPeerInfo::m_server

Definition at line 147 of file gserver.h.

## ◆ m_socket

std::shared_ptr<StreamSocket> GNet::ServerPeerInfo::m_socket

Definition at line 144 of file gserver.h.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gserver.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gserver.cpp